apply plugin: 'com.android.library'
apply plugin: 'com.jakewharton.butterknife'
android {
    compileSdkVersion rootProject.ext.gCompileSdkVersion
    defaultConfig {
        minSdkVersion rootProject.ext.gMinSdkVersion
        targetSdkVersion rootProject.ext.gTargetSdkVersion
        versionCode rootProject.ext.gVersionCode
        versionName rootProject.ext.gVersionName
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

        javaCompileOptions {
            annotationProcessorOptions {
                arguments = [
                        AROUTER_MODULE_NAME  : project.getName(),
                        "room.schemaLocation": "$projectDir/schemas".toString()]
            }
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    //noinspection GradleCompatible
    implementation 'androidx.appcompat:appcompat:1.3.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    implementation 'com.google.android.material:material:1.2.1'
    api 'androidx.multidex:multidex:2.0.1'
    api project(':lfilepickerlibrary')

    api "com.youth.banner:banner:${rootProject.ext.bannerVersion}"
    //SmartRefreshLayout
    api "com.scwang.smart:refresh-layout-kernel:$rootProject.ext.gSmartRefreshLayoutVersion"
    api "com.scwang.smart:refresh-footer-classics:$rootProject.ext.gSmartRefreshLayoutVersion"
    //okhttp3
    api "com.squareup.okhttp3:okhttp:$rootProject.ext.gOkHttp3Version"
    //Gson
    api "com.google.code.gson:gson:$rootProject.ext.gGsonVersion"
    //butterknife
    annotationProcessor "com.jakewharton:butterknife-compiler:$rootProject.ext.gButterKnifeVersion"
    //Arouter
    annotationProcessor "com.alibaba:arouter-compiler:$rootProject.ext.gRouterCompileVersion"
    api "com.alibaba:arouter-api:$rootProject.ext.gRouterApiVersion"
    //Retrofit2
    api "com.squareup.retrofit2:retrofit:$rootProject.ext.gRetrofitVersion"
    api "com.squareup.retrofit2:converter-gson:$rootProject.ext.gRxReAdapter"
    api "com.squareup.retrofit2:adapter-rxjava3:$rootProject.ext.gRxReAdapter"
    //Rxjava
    api "io.reactivex.rxjava3:rxjava:$rootProject.ext.gRxJavaVersion"
    api "io.reactivex.rxjava3:rxandroid:$rootProject.ext.gRxAndroid"
    //Glide
    api "com.github.bumptech.glide:glide:${rootProject.ext.supportGlide}"
    annotationProcessor "com.github.bumptech.glide:compiler:${rootProject.ext.supportGlide}"
    //butterknife
    api "com.jakewharton:butterknife:$rootProject.ext.gButterKnifeVersion"
    ////选择器
    api "com.contrarywind:Android-PickerView:${rootProject.ext.pickerViewVersion}"
    api "com.contrarywind:wheelview:${rootProject.ext.wheelVersion}"
    //recyclerviewImmersionBar
    api 'androidx.recyclerview:recyclerview:1.2.1'
    // 状态栏 基础依赖包，必须要依赖
    api 'com.geyifeng.immersionbar:immersionbar:3.2.1'
    //room
    api "androidx.room:room-runtime:$rootProject.room_version"
    annotationProcessor "androidx.room:room-compiler:$rootProject.room_version"
    api "androidx.room:room-rxjava3:2.3.0-alpha02"
    //文件选择

    api "androidx.room:room-guava:$rootProject.room_version"
    //base popup window
    api "io.github.razerdp:BasePopup:$rootProject.popup_version"
    //toast
    api 'com.github.getActivity:ToastUtils:9.5'
    //api 'com.github.promeg:tinypinyin-lexicons-android-cncity:2.0.3' // 可选，适用于Android的中国地区词典
    //api 'com.github.promeg:tinypinyin-lexicons-java-cncity:2.0.3' // 可选，适用于Java的中国地区词典
    api "com.github.hackware1993:MagicIndicator:${rootProject.ext.magicIndicator}" // for androidx
    api 'com.google.android:flexbox:2.0.1'//flexbox 布局
    //SharedPreferences加密
    api 'com.pddstudio:encrypted-preferences:1.3.0'
    api 'com.github.MZCretin:ExpandableTextView:v1.6.1-x'
    api 'com.jakewharton.rxbinding3:rxbinding-core:3.0.0'

    // okdownload核心库
    //提供okhttp连接，如果使用的话，需要引入okhttp网络请求库
    //存储断点信息的数据库
    api 'com.liulishuo.okdownload:sqlite:1.0.5'
    api 'com.liulishuo.okdownload:okhttp:1.0.5'
    api 'com.liulishuo.okdownload:okdownload:1.0.5'
    api 'com.haibin:calendarview:3.6.9'
//    //zxing
//    api 'com.google.zxing:core:3.4.1'
//    api ('com.journeyapps:zxing-android-embedded:3.6.0') { transitive = false }
    api 'com.github.jenly1314:zxing-lite:2.1.1'



}
